Package org.springframework.security.web.authentication.session

# Class SessionAuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.web.authentication.session.SessionAuthenticationException

All Implemented Interfaces:
  `Serializable`

public class SessionAuthenticationException extends org.springframework.security.core.AuthenticationException
Thrown by an `SessionAuthenticationStrategy` or `ServerSessionAuthenticationStrategy` to indicate that an authentication object is not valid for the current session, typically because the same user has exceeded the number of sessions they are allowed to have concurrently.

Since:
  3.0
See Also:
  - `SessionAuthenticationStrategy`
  - `ServerSessionAuthenticationStrategy`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SessionAuthenticationException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionAuthenticationException

public SessionAuthenticationException(String msg)